
Figure - Bug #117023
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】打开wifi，选择一个网络，左侧列表选择任意一项切换，闪退回桌面
2023-03-18 15:20 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-18

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-17

Test Type: ST Root cause: 与同 Bug #117003 发生原因相同。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置——>网络和互联网——>打开wlan——>选择任意网络

2、进入输入密码界面，点击左侧列表任意一项

3、观察屏幕

【预期结果】

3、正常切换

【实际结果】

3、闪退回桌面

【复现率】

3/3

History

#1 - 2023-03-20 10:00 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-17

- Root cause set to 与同 Bug #117003 发生原因相同。

■ Current conclusion

已处理，代码已入库。

■ My analysis

与同 Bug #117003 发生原因相同。页面生命周期管理异常导致重复解注册 Receiver 引发的崩溃。调整 Fragment 管理策略，解决 Fragment 生命周期异常问题

。
■ Next action

测试验证。

#2 - 2023-03-21 10:33 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0084.C101

【验证情况】正常切换不会闪退，pass

#3 - 2023-03-21 10:33 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files
